プロジェクトをソフトに削除します409 。プロジェクト内にアクティブなワークスペースが存在する場合(ユーザーは最初にそれらのワークスペースを削除する必要があります)、それ以外の場合は、プロジェクトごとの tenantEnvironment を破棄し、ロール割り当て/ APIキー/ポリシーをクリーンアップします。
DELETE /api/v1 /projects/{id}
curl \
--request DELETE 'https://agentengine.mongodb.com/api/v1/projects/{id}' \
--header "Authorization: $API_KEY"
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(409)
{
"code": "string",
"detail": "string",
"details": {
"truncated": true,
"workspace_count": 42,
"workspace_ids": [
"string"
]
},
"error": "string",
"success": true
}
応答の例(409)
{
"code": "string",
"detail": "string",
"details": {
"truncated": true,
"workspace_count": 42,
"workspace_ids": [
"string"
]
},
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}